Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.Core/3.2/HeuristicLabCorePlugin.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.Core/3.2/HeuristicLabCorePlugin.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.Core/3.2/HeuristicLabCorePlugin.cs	(revision 2587)
@@ -30,7 +30,7 @@
   /// Plugin class for HeuristicLab.Core plugin.
   /// </summary>
-  [ClassInfo(Name = "HeuristicLab.Core-3.2")]
-  [PluginFile(Filename = "HeuristicLab.Core-3.2.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Common-3.2")]
+  [Plugin("HeuristicLab.Core-3.2")]
+  [PluginFile("HeuristicLab.Core-3.2.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Common-3.2")]
   public class HeuristicLabCorePlugin : PluginBase {
   }
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.Core/3.2/Interfaces/IView.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.Core/3.2/Interfaces/IView.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.Core/3.2/Interfaces/IView.cs	(revision 2587)
@@ -29,5 +29,5 @@
   /// An interface for all kinds visual representations of items (objects, operators...).
   /// </summary>
-  public interface IView : IControl {
+  public interface IView {
     /// <summary>
     /// Gets the current item instance.
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.Core/3.2/OperatorGraphView.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.Core/3.2/OperatorGraphView.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.Core/3.2/OperatorGraphView.cs	(revision 2587)
@@ -184,5 +184,5 @@
         IView view = op.CreateView();
         if (view != null)
-          PluginManager.ControlManager.ShowControl(view);
+          ControlManager.Manager.ShowControl(view);
       }
     }
@@ -411,5 +411,5 @@
     private void viewToolStripMenuItem_Click(object sender, EventArgs e) {
       IView view = (IView)((ToolStripMenuItem)sender).Tag;
-      PluginManager.ControlManager.ShowControl(view);
+      ControlManager.Manager.ShowControl(view);
     }
     private void initialOperatorToolStripMenuItem_Click(object sender, EventArgs e) {
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.Core/3.2/OperatorLibraryEditor.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.Core/3.2/OperatorLibraryEditor.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.Core/3.2/OperatorLibraryEditor.cs	(revision 2587)
@@ -204,5 +204,5 @@
           IView view = op.CreateView();
           if (view != null)
-            PluginManager.ControlManager.ShowControl(view);
+            ControlManager.Manager.ShowControl(view);
         }
       }
@@ -287,5 +287,5 @@
     private void viewToolStripMenuItem_Click(object sender, EventArgs e) {
       IView view = (IView)viewToolStripMenuItem.Tag;
-      PluginManager.ControlManager.ShowControl(view);
+      ControlManager.Manager.ShowControl(view);
     }
     #endregion
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.Core/3.2/ScopeView.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.Core/3.2/ScopeView.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.Core/3.2/ScopeView.cs	(revision 2587)
@@ -131,5 +131,5 @@
       if(scopesTreeView.SelectedNode != null && scopesTreeView.SelectedNode.Tag != null) {
         IScope scope = (IScope)scopesTreeView.SelectedNode.Tag;
-        PluginManager.ControlManager.ShowControl(new VariablesScopeView(scope));
+        ControlManager.Manager.ShowControl(new VariablesScopeView(scope));
       }
     }
@@ -199,9 +199,9 @@
     private void variablesToolStripMenuItem_Click(object sender, EventArgs e) {
       IScope scope = (IScope)scopesTreeView.SelectedNode.Tag;
-      PluginManager.ControlManager.ShowControl(new VariablesScopeView(scope));
+      ControlManager.Manager.ShowControl(new VariablesScopeView(scope));
     }
     private void showViewToolStripMenuItem_Click(object sender, EventArgs e) {
       IItem item = (IItem)((ToolStripMenuItem)sender).Tag;
-      PluginManager.ControlManager.ShowControl(item.CreateView());
+      ControlManager.Manager.ShowControl(item.CreateView());
     }
     #endregion
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.Data/3.2/HeuristicLabDataPlugin.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.Data/3.2/HeuristicLabDataPlugin.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.Data/3.2/HeuristicLabDataPlugin.cs	(revision 2587)
@@ -29,8 +29,8 @@
   /// Plugin class for HeuristicLab.Data plugin.
   /// </summary>
-  [ClassInfo(Name = "HeuristicLab.Data-3.2")]
-  [PluginFile(Filename = "HeuristicLab.Data-3.2.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Common-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Plugin("HeuristicLab.Data-3.2")]
+  [PluginFile("HeuristicLab.Data-3.2.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Common-3.2")]
+  [PluginDependency("HeuristicLab.Core-3.2")]
   public class HeuristicLabDataPlugin : PluginBase {
   }
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.DataAccess.ADOHelper/3.2/DataAccessADOHelperPlugin.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.DataAccess.ADOHelper/3.2/DataAccessADOHelperPlugin.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.DataAccess.ADOHelper/3.2/DataAccessADOHelperPlugin.cs	(revision 2587)
@@ -26,7 +26,7 @@
 
 namespace HeuristicLab.DataAccess.ADOHelper {
-  [ClassInfo(Name = "HeuristicLab.DataAccess.ADOHelper-3.2")]
-  [PluginFile(Filename = "HeuristicLab.DataAccess.ADOHelper-3.2.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Plugin("HeuristicLab.DataAccess.ADOHelper-3.2")]
+  [PluginFile("HeuristicLab.DataAccess.ADOHelper-3.2.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Core-3.2")]
   public class DataAccessADOHelperPlugin : PluginBase {
   }
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.DataAccess.ADOHelper/3.2/Session.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.DataAccess.ADOHelper/3.2/Session.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.DataAccess.ADOHelper/3.2/Session.cs	(revision 2587)
@@ -31,7 +31,4 @@
 namespace HeuristicLab.DataAccess.ADOHelper {
   public class Session: ISession {
-    private static DiscoveryService discoveryService =
-      new DiscoveryService();
-
     private SessionFactory factory;
 
@@ -115,5 +112,5 @@
       if (!adapters.ContainsKey(adapterId)) {
         IDataAdapter<ObjT> adapter =
-          discoveryService.GetInstances<IDataAdapter<ObjT>>()[0];
+          ApplicationManager.Manager.GetInstances<IDataAdapter<ObjT>>().First();
 
         adapter.Session = this;
@@ -135,5 +132,5 @@
       if (!adapters.ContainsKey(adapterId)) {
         T adapter =
-          discoveryService.GetInstances<T>()[0];
+          ApplicationManager.Manager.GetInstances<T>().First();
 
         adapter.Session = this;
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.DataAccess/3.2/DataAccessPlugin.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.DataAccess/3.2/DataAccessPlugin.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.DataAccess/3.2/DataAccessPlugin.cs	(revision 2587)
@@ -26,7 +26,7 @@
 
 namespace HeuristicLab.DataAccess {
-  [ClassInfo(Name = "HeuristicLab.DataAccess-3.2")]
-  [PluginFile(Filename = "HeuristicLab.DataAccess-3.2.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Plugin("HeuristicLab.DataAccess-3.2")]
+  [PluginFile("HeuristicLab.DataAccess-3.2.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Core-3.2")]
   public class DataAccessPlugin : PluginBase {
   }
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.DataAnalysis/3.2/DatasetView.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.DataAnalysis/3.2/DatasetView.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.DataAnalysis/3.2/DatasetView.cs	(revision 2587)
@@ -49,8 +49,6 @@
       : this() {
       this.Dataset = dataset;
-      DiscoveryService discovery = new DiscoveryService();
-      IDatasetManipulator[] manipuators = discovery.GetInstances<IDatasetManipulator>();
       contextMenuStrip.Items.Add(new ToolStripSeparator());
-      foreach (IDatasetManipulator manipulator in manipuators) {
+      foreach (IDatasetManipulator manipulator in ApplicationManager.Manager.GetInstances<IDatasetManipulator>()) {
         contextMenuStrip.Items.Add(new ToolStripButton(manipulator.Action, null, delegate(object source, EventArgs args) {
           manipulator.Execute(Dataset);
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.DataAnalysis/3.2/HeuristicLabDataAnalysisPlugin.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.DataAnalysis/3.2/HeuristicLabDataAnalysisPlugin.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.DataAnalysis/3.2/HeuristicLabDataAnalysisPlugin.cs	(revision 2587)
@@ -26,9 +26,9 @@
 
 namespace HeuristicLab.DataAnalysis {
-  [ClassInfo(Name = "HeuristicLab.DataAnalysis-3.2")]
-  [PluginFile(Filename = "HeuristicLab.DataAnalysis-3.2.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Random-3.2")]
+  [Plugin("HeuristicLab.DataAnalysis-3.2")]
+  [PluginFile("HeuristicLab.DataAnalysis-3.2.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Core-3.2")]
+  [PluginDependency("HeuristicLab.Data-3.2")]
+  [PluginDependency("HeuristicLab.Random-3.2")]
   public class HeuristicLabDataAnalysisPlugin : PluginBase {
   }
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.DistributedEngine/3.2/HeuristicLabDistributedEnginePlugin.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.DistributedEngine/3.2/HeuristicLabDistributedEnginePlugin.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.DistributedEngine/3.2/HeuristicLabDistributedEnginePlugin.cs	(revision 2587)
@@ -26,8 +26,8 @@
 
 namespace HeuristicLab.DistributedEngine {
-  [ClassInfo(Name = "HeuristicLab.DistributedEngine-3.2")]
-  [PluginFile(Filename = "HeuristicLab.DistributedEngine-3.2.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Grid-3.2")]
+  [Plugin("HeuristicLab.DistributedEngine-3.2")]
+  [PluginFile("HeuristicLab.DistributedEngine-3.2.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Core-3.2")]
+  [PluginDependency("HeuristicLab.Grid-3.2")]
   public class HeuristicLabDistributedEnginePlugin : PluginBase {
   }
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.ES/3.2/ESEditor.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.ES/3.2/ESEditor.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.ES/3.2/ESEditor.cs	(revision 2587)
@@ -199,25 +199,25 @@
       IView view = ES.ProblemInjector.CreateView();
       if (view != null)
-        PluginManager.ControlManager.ShowControl(view);
+        ControlManager.Manager.ShowControl(view);
     }
     private void viewSolutionGenerationButton_Click(object sender, EventArgs e) {
       IView view = ES.SolutionGenerator.CreateView();
       if (view != null)
-        PluginManager.ControlManager.ShowControl(view);
+        ControlManager.Manager.ShowControl(view);
     }
     private void viewMutationButton_Click(object sender, EventArgs e) {
       IView view = ES.Mutator.CreateView();
       if (view != null)
-        PluginManager.ControlManager.ShowControl(view);
+        ControlManager.Manager.ShowControl(view);
     }
     private void viewEvaluationButton_Click(object sender, EventArgs e) {
       IView view = ES.Evaluator.CreateView();
       if (view != null)
-        PluginManager.ControlManager.ShowControl(view);
+        ControlManager.Manager.ShowControl(view);
     }
     private void viewRecombinationButton_Click(object sender, EventArgs e) {
       IView view = ES.Recombinator.CreateView();
       if (view != null)
-        PluginManager.ControlManager.ShowControl(view);
+        ControlManager.Manager.ShowControl(view);
     }
     private void setProblemInitializationButton_Click(object sender, EventArgs e) {
@@ -238,5 +238,5 @@
       IEngine clone = (IEngine)ES.Engine.Clone();
       IEditor editor = ((IEditable)clone).CreateEditor();
-      PluginManager.ControlManager.ShowControl(editor);
+      ControlManager.Manager.ShowControl(editor);
     }
     #endregion
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.ES/3.2/HeuristicLabESPlugin.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.ES/3.2/HeuristicLabESPlugin.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.ES/3.2/HeuristicLabESPlugin.cs	(revision 2587)
@@ -29,15 +29,15 @@
   /// Plugin class for HeuristicLab.ES plugin.
   /// </summary>
-  [ClassInfo(Name = "HeuristicLab.ES-3.2")]
-  [PluginFile(Filename = "HeuristicLab.ES-3.2.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Common-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Logging-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Operators-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Random-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Selection-3.2")]
-  [Dependency(Dependency = "HeuristicLab.SequentialEngine-3.2")]
-  [Dependency(Dependency = "HeuristicLab.RealVector-3.2")]
+  [Plugin("HeuristicLab.ES-3.2")]
+  [PluginFile("HeuristicLab.ES-3.2.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Common-3.2")]
+  [PluginDependency("HeuristicLab.Core-3.2")]
+  [PluginDependency("HeuristicLab.Data-3.2")]
+  [PluginDependency("HeuristicLab.Logging-3.2")]
+  [PluginDependency("HeuristicLab.Operators-3.2")]
+  [PluginDependency("HeuristicLab.Random-3.2")]
+  [PluginDependency("HeuristicLab.Selection-3.2")]
+  [PluginDependency("HeuristicLab.SequentialEngine-3.2")]
+  [PluginDependency("HeuristicLab.RealVector-3.2")]
   public class HeuristicLabESPlugin : PluginBase {
   }
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.Evolutionary/3.2/HeuristicLabEvolutionaryPlugin.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.Evolutionary/3.2/HeuristicLabEvolutionaryPlugin.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.Evolutionary/3.2/HeuristicLabEvolutionaryPlugin.cs	(revision 2587)
@@ -29,9 +29,9 @@
   /// Plugin class for HeuristicLab.Evolutionary plugin.
   /// </summary>
-  [ClassInfo(Name = "HeuristicLab.Evolutionary-3.2")]
-  [PluginFile(Filename = "HeuristicLab.Evolutionary-3.2.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Operators-3.2")]
+  [Plugin("HeuristicLab.Evolutionary-3.2")]
+  [PluginFile("HeuristicLab.Evolutionary-3.2.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Core-3.2")]
+  [PluginDependency("HeuristicLab.Data-3.2")]
+  [PluginDependency("HeuristicLab.Operators-3.2")]
   public class HeuristicLabEvolutionaryPlugin : PluginBase {
   }
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.FixedOperators/3.2/HeuristicLabFixedOperatorsPlugin.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.FixedOperators/3.2/HeuristicLabFixedOperatorsPlugin.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.FixedOperators/3.2/HeuristicLabFixedOperatorsPlugin.cs	(revision 2587)
@@ -29,14 +29,14 @@
   /// Plugin class for HeuristicLab.FixedOperators plugin.
   /// </summary>
-  [ClassInfo(Name = "HeuristicLab.FixedOperators-3.2")]
-  [PluginFile(Filename = "HeuristicLab.FixedOperators-3.2.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Evolutionary-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Operators-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Random-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Selection-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Logging-3.2")]
-  [Dependency(Dependency = "HeuristicLab.SequentialEngine-3.2")]
+  [Plugin("HeuristicLab.FixedOperators-3.2")]
+  [PluginFile("HeuristicLab.FixedOperators-3.2.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Core-3.2")]
+  [PluginDependency("HeuristicLab.Data-3.2")]
+  [PluginDependency("HeuristicLab.Evolutionary-3.2")]
+  [PluginDependency("HeuristicLab.Operators-3.2")]
+  [PluginDependency("HeuristicLab.Random-3.2")]
+  [PluginDependency("HeuristicLab.Selection-3.2")]
+  [PluginDependency("HeuristicLab.Logging-3.2")]
+  [PluginDependency("HeuristicLab.SequentialEngine-3.2")]
   public class HeuristicLabFixedOperatorsPlugin : PluginBase {
   }
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.GP.Algorithms/3.2/HeuristicLabGpAlgorithmsPlugin.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.GP.Algorithms/3.2/HeuristicLabGpAlgorithmsPlugin.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.GP.Algorithms/3.2/HeuristicLabGpAlgorithmsPlugin.cs	(revision 2587)
@@ -26,19 +26,19 @@
 
 namespace HeuristicLab.GP.Algorithms {
-  [ClassInfo(Name = "HeuristicLab.GP.Algorithms-3.2")]
-  [PluginFile(Filename = "HeuristicLab.GP.Algorithms-3.2.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Common-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Evolutionary-3.2")]
-  [Dependency(Dependency = "HeuristicLab.GP-3.3")]
-  [Dependency(Dependency = "HeuristicLab.GP.Interfaces-3.3")]
-  [Dependency(Dependency = "HeuristicLab.GP.Operators-3.3")]
-  [Dependency(Dependency = "HeuristicLab.Logging-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Operators-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Random-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Selection-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Selection.OffspringSelection-3.2")]
-  [Dependency(Dependency = "HeuristicLab.SequentialEngine-3.2")]
+  [Plugin("HeuristicLab.GP.Algorithms-3.2")]
+  [PluginFile("HeuristicLab.GP.Algorithms-3.2.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Common-3.2")]
+  [PluginDependency("HeuristicLab.Core-3.2")]
+  [PluginDependency("HeuristicLab.Data-3.2")]
+  [PluginDependency("HeuristicLab.Evolutionary-3.2")]
+  [PluginDependency("HeuristicLab.GP-3.3")]
+  [PluginDependency("HeuristicLab.GP.Interfaces-3.3")]
+  [PluginDependency("HeuristicLab.GP.Operators-3.3")]
+  [PluginDependency("HeuristicLab.Logging-3.2")]
+  [PluginDependency("HeuristicLab.Operators-3.2")]
+  [PluginDependency("HeuristicLab.Random-3.2")]
+  [PluginDependency("HeuristicLab.Selection-3.2")]
+  [PluginDependency("HeuristicLab.Selection.OffspringSelection-3.2")]
+  [PluginDependency("HeuristicLab.SequentialEngine-3.2")]
   public class HeuristicLabGpAlgorithmsPlugin : PluginBase {
   }
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.GP.Algorithms/3.2/OffSpringSelectionGpEditor.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.GP.Algorithms/3.2/OffSpringSelectionGpEditor.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.GP.Algorithms/3.2/OffSpringSelectionGpEditor.cs	(revision 2587)
@@ -82,5 +82,5 @@
       IView view = OffspringSelectionGP.ProblemInjector.CreateView();
       if(view != null)
-        PluginManager.ControlManager.ShowControl(view);
+        ControlManager.Manager.ShowControl(view);
     }
 
@@ -107,5 +107,5 @@
       IEngine clone = (IEngine)OffspringSelectionGP.Engine.Clone();
       IEditor editor = ((IEditable)clone).CreateEditor();
-      PluginManager.ControlManager.ShowControl(editor);
+      ControlManager.Manager.ShowControl(editor);
     }
     #endregion
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.GP.Algorithms/3.2/StandardGpEditor.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.GP.Algorithms/3.2/StandardGpEditor.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.GP.Algorithms/3.2/StandardGpEditor.cs	(revision 2587)
@@ -80,5 +80,5 @@
       IView view = StandardGP.ProblemInjector.CreateView();
       if(view != null)
-        PluginManager.ControlManager.ShowControl(view);
+        ControlManager.Manager.ShowControl(view);
     }
 
@@ -105,5 +105,5 @@
       IEngine clone = (IEngine)StandardGP.Engine.Clone();
       IEditor editor = ((IEditable)clone).CreateEditor();
-      PluginManager.ControlManager.ShowControl(editor);
+      ControlManager.Manager.ShowControl(editor);
     }
     #endregion
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.GP.Boolean/3.3/HeuristicLabGPBooleanPlugin.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.GP.Boolean/3.3/HeuristicLabGPBooleanPlugin.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.GP.Boolean/3.3/HeuristicLabGPBooleanPlugin.cs	(revision 2587)
@@ -26,14 +26,14 @@
 
 namespace HeuristicLab.GP.Boolean {
-  [ClassInfo(Name = "HeuristicLab.GP.Boolean-3.3")]
-  [PluginFile(Filename = "HeuristicLab.GP.Boolean-3.3.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Common-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
-  [Dependency(Dependency = "HeuristicLab.DataAnalysis-3.2")]
-  [Dependency(Dependency = "HeuristicLab.GP-3.3")]
-  [Dependency(Dependency = "HeuristicLab.GP.Interfaces-3.3")]
-  [Dependency(Dependency = "HeuristicLab.Operators-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Random-3.2")]
+  [Plugin("HeuristicLab.GP.Boolean-3.3")]
+  [PluginFile("HeuristicLab.GP.Boolean-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Common-3.2")]
+  [PluginDependency("HeuristicLab.Core-3.2")]
+  [PluginDependency("HeuristicLab.Data-3.2")]
+  [PluginDependency("HeuristicLab.DataAnalysis-3.2")]
+  [PluginDependency("HeuristicLab.GP-3.3")]
+  [PluginDependency("HeuristicLab.GP.Interfaces-3.3")]
+  [PluginDependency("HeuristicLab.Operators-3.2")]
+  [PluginDependency("HeuristicLab.Random-3.2")]
   public class HeuristicLabGPBooleanPlugin : PluginBase {
   }
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.GP.Interfaces/3.3/HeuristicLabGPInterfacesPlugin.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.GP.Interfaces/3.3/HeuristicLabGPInterfacesPlugin.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.GP.Interfaces/3.3/HeuristicLabGPInterfacesPlugin.cs	(revision 2587)
@@ -26,7 +26,7 @@
 
 namespace HeuristicLab.GP.Interfaces {
-  [ClassInfo(Name = "HeuristicLab.GP.Interfaces-3.3")]
-  [PluginFile(Filename = "HeuristicLab.GP.Interfaces-3.3.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Plugin("HeuristicLab.GP.Interfaces-3.3")]
+  [PluginFile("HeuristicLab.GP.Interfaces-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Core-3.2")]
   public class HeuristicLabGPInterfacesPlugin : PluginBase {
   }
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.GP.Operators/3.3/HeuristicLabGPOperatorsPlugin.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.GP.Operators/3.3/HeuristicLabGPOperatorsPlugin.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.GP.Operators/3.3/HeuristicLabGPOperatorsPlugin.cs	(revision 2587)
@@ -26,14 +26,14 @@
 
 namespace HeuristicLab.GP.Operators {
-  [ClassInfo(Name = "HeuristicLab.GP.Operators-3.3")]
-  [PluginFile(Filename = "HeuristicLab.GP.Operators-3.3.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Evolutionary-3.2")]
-  [Dependency(Dependency = "HeuristicLab.GP-3.3")]
-  [Dependency(Dependency = "HeuristicLab.GP.Interfaces-3.3")]
-  [Dependency(Dependency = "HeuristicLab.Operators-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Random-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Selection-3.2")]
+  [Plugin("HeuristicLab.GP.Operators-3.3")]
+  [PluginFile("HeuristicLab.GP.Operators-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Core-3.2")]
+  [PluginDependency("HeuristicLab.Data-3.2")]
+  [PluginDependency("HeuristicLab.Evolutionary-3.2")]
+  [PluginDependency("HeuristicLab.GP-3.3")]
+  [PluginDependency("HeuristicLab.GP.Interfaces-3.3")]
+  [PluginDependency("HeuristicLab.Operators-3.2")]
+  [PluginDependency("HeuristicLab.Random-3.2")]
+  [PluginDependency("HeuristicLab.Selection-3.2")]
   public class HeuristicLabGPOperatorsPlugin : PluginBase {
   }
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.GP.SantaFe/3.3/HeuristicLabGPSantaFePlugin.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.GP.SantaFe/3.3/HeuristicLabGPSantaFePlugin.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.GP.SantaFe/3.3/HeuristicLabGPSantaFePlugin.cs	(revision 2587)
@@ -26,12 +26,12 @@
 
 namespace HeuristicLab.GP.SantaFe {
-  [ClassInfo(Name = "HeuristicLab.GP.SantaFe-3.3")]
-  [PluginFile(Filename = "HeuristicLab.GP.SantaFe-3.3.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
-  [Dependency(Dependency = "HeuristicLab.GP-3.3")]
-  [Dependency(Dependency = "HeuristicLab.GP.Interfaces-3.3")]
-  [Dependency(Dependency = "HeuristicLab.DataAnalysis-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Random-3.2")]
+  [Plugin("HeuristicLab.GP.SantaFe-3.3")]
+  [PluginFile("HeuristicLab.GP.SantaFe-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Core-3.2")]
+  [PluginDependency("HeuristicLab.Data-3.2")]
+  [PluginDependency("HeuristicLab.GP-3.3")]
+  [PluginDependency("HeuristicLab.GP.Interfaces-3.3")]
+  [PluginDependency("HeuristicLab.DataAnalysis-3.2")]
+  [PluginDependency("HeuristicLab.Random-3.2")]
   public class HeuristicLabGPSantaFePlugin : PluginBase {
   }
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.GP.StructureIdentification.Classification/3.3/HeuristicLabGPClassificationPlugin.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.GP.StructureIdentification.Classification/3.3/HeuristicLabGPClassificationPlugin.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.GP.StructureIdentification.Classification/3.3/HeuristicLabGPClassificationPlugin.cs	(revision 2587)
@@ -26,16 +26,16 @@
 
 namespace HeuristicLab.GP.StructureIdentification.Classification {
-  [ClassInfo(Name = "HeuristicLab.GP.StructureIdentification.Classification-3.3")]
-  [PluginFile(Filename = "HeuristicLab.GP.StructureIdentification.Classification-3.3.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Common-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
-  [Dependency(Dependency = "HeuristicLab.DataAnalysis-3.2")]
-  [Dependency(Dependency = "HeuristicLab.GP-3.3")]
-  [Dependency(Dependency = "HeuristicLab.GP.Interfaces-3.3")]
-  [Dependency(Dependency = "HeuristicLab.GP.StructureIdentification-3.3")]
-  [Dependency(Dependency = "HeuristicLab.Modeling-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Operators-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Random-3.2")]
+  [Plugin("HeuristicLab.GP.StructureIdentification.Classification-3.3")]
+  [PluginFile("HeuristicLab.GP.StructureIdentification.Classification-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Common-3.2")]
+  [PluginDependency("HeuristicLab.Core-3.2")]
+  [PluginDependency("HeuristicLab.Data-3.2")]
+  [PluginDependency("HeuristicLab.DataAnalysis-3.2")]
+  [PluginDependency("HeuristicLab.GP-3.3")]
+  [PluginDependency("HeuristicLab.GP.Interfaces-3.3")]
+  [PluginDependency("HeuristicLab.GP.StructureIdentification-3.3")]
+  [PluginDependency("HeuristicLab.Modeling-3.2")]
+  [PluginDependency("HeuristicLab.Operators-3.2")]
+  [PluginDependency("HeuristicLab.Random-3.2")]
   public class HeuristicLabGPClassificationPlugin : PluginBase {
   }
